#include<bits/stdc++.h>
using namespace std;
string c,s;
char c1,c2;
int a1,a2;
int main(){

   cin >> c;
   c1=c[0];
   c2=c[1];

   cin >> a1 >> a2;

   if(a1>a2){
    if(a1-a2>0){
        cout << "nemoguce" << endl;
    }
    else{
        for(int i=0;i<=a1+a2;i++){
            s.push_back(c1);
            s.push_back(c2);
        }
        if(s.size()>a1+a2){
            s.erase(a1+a2,15);
        }
        cout << s;
    }
   }
   else{
    if(a2-a1>0){
        cout << "nemoguce" << endl;
    }
    else{
        for(int i=0;i<=a1+a2;i++){
            s.push_back(c1);
            s.push_back(c2);
        }
        if(s.size()>a1+a2){
            s.erase(a1+a2,15);
        }
        cout << s;
    }
   }
return 0;
}